true0s-update upgrade  [SOLVED]

Post your general questions or comments about GhostBSD here!
Post Reply
gautamdas
Posts: 9
Joined: Sat Jul 06, 2019 4:53 pm
Has thanked: 4 times
Been thanked: 0

true0s-update upgrade

Post by gautamdas »

"true0s-update upgrade" ran fine and appeared to update hundreds of packages. However at the very end gave the following error:

Installing: GhostBSD-acct
pkg-static: Repository GhostBSD load error: access repo file(/var/db/trueos-update/pkgdb/repo-GhostBSD.sqlite) failed: No such file or directory
pkg-static: Repository GhostBSD cannot be opened. 'pkg update' required
pkg-static: No packages available to install matching 'GhostBSD-acct' have been found in the repositories
FAILED: Installing world base package: GhostBSD-acct

Has anyone else run into this? Any clues?

I am running GhostBSD 19.04.

Thanks.

User avatar
ericbsd
Developer
Posts: 1526
Joined: Mon Nov 19, 2012 7:54 pm
Has thanked: 47 times
Been thanked: 78 times

Re: true0s-update upgrade  [SOLVED]

Post by ericbsd »

Do not use, trueos-update or freenbsd-update, GhostBSD is not using TrueOS tools, we build GhostBSD from TrueOS that it.
These users thanked the author ericbsd for the post:
gautamdas (Tue Jul 09, 2019 9:41 pm)
Rating: 33.33%

gautamdas
Posts: 9
Joined: Sat Jul 06, 2019 4:53 pm
Has thanked: 4 times
Been thanked: 0

Re: true0s-update upgrade

Post by gautamdas »

Thanks. Good to know. Maybe the command trueos-update should be removed or renamed to /usr/sbin/trueos-update-deprecated ?

User avatar
ericbsd
Developer
Posts: 1526
Joined: Mon Nov 19, 2012 7:54 pm
Has thanked: 47 times
Been thanked: 78 times

Re: true0s-update upgrade

Post by ericbsd »

Actually, in the next release, it will be.
These users thanked the author ericbsd for the post:
gautamdas (Fri Jul 26, 2019 8:43 pm)
Rating: 33.33%

Post Reply